import { _decorator, Component, Node, LabelComponent, systemEvent, SystemEventType, EventTouch } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('Touch')
export class Touch extends Component {
    /* class member could be defined like this */
    // dummy = '';

    /* use `property` decorator if your want the member to be serializable */
    // @property
    // serializableDummy = 0;

    @property({
        type: [LabelComponent]
    })
    labels: Array<LabelComponent> = [];

    start() {
        // Your initialization goes here.

        // //test 1 
        // EventTouch.MAX_TOUCHES= 2;
        systemEvent.on(SystemEventType.TOUCH_START, this.onTouchStart, this);

        systemEvent.on(SystemEventType.TOUCH_MOVE, this.onTouchMove, this);
    }

    onTouchStart(t, e: EventTouch) {
        let touchs = e.getTouches();
        console.log(touchs);
        for (let i = 0; i < touchs.length; i++) {
            if (this.labels[i])
                this.labels[i].string = 'x:' + Math.floor(touchs[i].getUILocationX()) + 'y' + Math.floor(touchs[i].getUILocationY())
        }
    }

    onTouchMove(t, e: EventTouch) {
        let touchs = e.getTouches();
        for (let i = 0; i < touchs.length; i++) {
            if (this.labels[i])
                this.labels[i].string = 'x:' + Math.floor(touchs[i].getUILocationX()) + 'y' + Math.floor(touchs[i].getUILocationY())
        }
    }

    // update (deltaTime: number) {
    //     // Your update function goes here.
    // }
}
